Orgs Tables
Reorder tables
Bulk-update the display position of an org’s tables in one transaction.
PATCH
/
orgs
/
{org_id}
/
tables
/
positions
Reorder tables
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/tables/positions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"positions": [
{
"id": "<string>",
"position": 1
}
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/tables/positions"
payload = { "positions": [
{
"id": "<string>",
"position": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({positions: [{id: '<string>', position: 1}]})
};
fetch('https://api.useinvent.com/orgs/{org_id}/tables/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "Companies",
"description": "Companies are organizations that own and manage other organizations.",
"record_prefix": "LEAD",
"icon": "<string>",
"display_field_id": "<string>",
"archived": true,
"position": 123,
"fields": [
{
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [],
"broadcast_field": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE"
},
"readonly": true,
"kind": "system"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Body
application/jsonmultipart/form-data
New positions for the tables.
Show child attributes
Show child attributes
Response
200 - application/json
Available options:
custom, contacts, chats, users The name of the table.
Example:
"Companies"
The description of the table.
Example:
"Companies are organizations that own and manage other organizations."
The prefix of the record.
Example:
"LEAD"
The picked icon. Null renders the default table icon.
The id of the display field.
Whether the table is archived.
Manual display order within the org.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Reorder tables
